# needed to properly rebuild for 10.0
%define _requires_exceptions perl(lang)

%define subrel 2

Summary:  The Mandriva Linux Control Center 
Name:     drakconf
Version:  12.19.2
Release:  %mkrel 2
# get the source from our cvs repository (see
# http://www.mandrivalinux.com/en/cvs.php3)
Source0:  %name-%version.tar.lzma
Source1:  drakconf16.png
Source2:  drakconf32.png
Source3:  drakconf48.png
Patch0:   drakxtools-13.51-remove-autologin.patch
License:  GPLv2+
Group:    System/Configuration/Other
Url:      http://wiki.mandriva.com/en/ControlCenter
Obsoletes: DrakConf
Provides: DrakConf
BuildRequires: gettext intltool
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: mandriva-release, drakxtools >= 11.64
Requires: harddrake-ui > 10-12mdk, popt >= 1.6.4-24mdk, usermode
Requires: perl-Gtk2 >= 1.023-1mdk, perl-Gnome2-Vte
Requires: gtk+2.0 >= 2.2.0-3mdk, perl-MDK-Common => 1.0.4-16mdk
Suggests: drakfax, system-config-printer >= 1.0.4-4mdv, rpmdrake, transfugdrake, drakmenustyle, drakguard, draksnapshot
Suggests: mdkonline >= 2.77.19
#Requires: drakcronat >= 0.1.3-1mdk # currenly broken, actually waiting for gtk+-2.x port completion
Requires: userdrake => 1.2-1mdk
Requires: drakconf-icons = %version
Requires: drakx-net, drakx-kbd-mouse-x11
Conflicts: rpmdrake < 2.4-5mdk
# workaround rpm issues on updates (bad ordering relating to virtual packages?):
Requires: perl-Gtk2-WebKit
%define _requires_exceptions perl(Gtk2::Html2)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
drakconf includes the Mandriva Linux Control Center which is an interface to 
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the Mandriva Linux Control Center
Group:   Graphical desktop/Other
Conflicts: drakconf < 10.2-4mdk

%description icons
This package hold icons of the Mandriva Linux Control Center used in
tools' banners.

%prep
%setup -q
%apply_patches

%build

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

#install lang
%find_lang %name

#install menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m644 drakconf.desktop $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-drakconf.desktop

#install menu icon
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m644 %SOURCE1 %buildroot/%_miconsdir/drakconf.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/drakconf.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/drakconf.png

#this allow user to use drakconf
ln -sf %_bindir/drakconf %buildroot/%_sbindir/drakconf

install -d %buildroot/etc
touch %buildroot/etc/mcc.conf

for i in %buildroot{%_sbindir,%_bindir}/mcc; do ln -s {drakconf,$i}; done

(cd $RPM_BUILD_ROOT ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %name.lang

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%triggerun -- %name < 9.0-0.6mdk
[[ -s /root/.mcc ]] && cp -af /root/.mcc /etc/mcc.conf; :

%clean
rm -rf $RPM_BUILD_ROOT

%files icons -f images.list
%defattr(-,root,root)

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING 
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%_bindir/*
%_sbindir/*
%{_datadir}/applications/mandriva-drakconf.desktop
%{perl_vendorlib}/MDV
%dir %_datadir/mcc
%_datadir/mcc/progs.conf
%dir %_datadir/mcc/themes/
%dir %_datadir/mcc/themes/default
%_datadir/mcc/themes/default/gtkrc




%changelog
* Fri Dec 09 2011 Alex Burmashev <burmashev@mandriva.org> 12.19.2-2.2mdv2011.0
+ Revision: 739368
- updated icons

* Wed Sep 28 2011 Security Team <security@mandriva.com> 12.19.2-1.2
+ Revision: 701763
- built for updates

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove the Autologin module from MCC ( BUG: 64114 )

* Wed Apr 20 2011 Antoine Ginies <aginies@mandriva.com> 12.19.2-1
+ Revision: 656172
- remove requires on drak3d

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 12.19.1-3mdv2011.0
+ Revision: 564233
- rebuild for perl 5.12.1

* Thu Jul 22 2010 Funda Wang <fwang@mandriva.org> 12.19.1-2mdv2011.0
+ Revision: 556963
- rebuild

  + Joao Victor Martins <jvictor@mandriva.com>
    - 12.19.1
    - Updated extended maintenance binary to mdkapplet-add-media-helper.

* Wed May 26 2010 Christophe Fergeau <cfergeau@mandriva.com> 12.19-1mdv2010.1
+ Revision: 546209
- 12.19:
- properly align text and icons (#53383)
- Use /usr/sbin/system-config-printer instead of the /usr/bin/ one. (Bug #58174)

* Mon Mar 29 2010 Tiago Salem <salem@mandriva.com.br> 12.18.4-1mdv2010.1
+ Revision: 528924
- update to 12.18.4

* Tue Jan 26 2010 Thierry Vignaud <tv@mandriva.org> 12.18.3-1mdv2010.1
+ Revision: 496775
- stop retrieving URL on startup (now done in embedded tool)

* Mon Jan 25 2010 Thierry Vignaud <tv@mandriva.org> 12.18.2-1mdv2010.1
+ Revision: 496462
- translations updates

* Mon Jan 25 2010 Thierry Vignaud <tv@mandriva.org> 12.18.1-1mdv2010.1
+ Revision: 496461
- patch 0: build fix
- extended maintenance tool:
  o fix providing the right version
  o provide the URL

* Fri Jan 22 2010 Thierry Vignaud <tv@mandriva.org> 12.18-1mdv2010.1
+ Revision: 494775
- add extended maintenance icon

  + Sandro Cazzaniga <kharec@mandriva.org>
    - Fix licence to GPLv2+

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 12.17-1mdv2010.0
+ Revision: 460164
- refresh the icon list if some package got installed
- restart cups service when installing system-config-print

* Tue Oct 27 2009 Thierry Vignaud <tv@mandriva.org> 12.16-1mdv2010.0
+ Revision: 459468
- do not offer to configure the boot splash screen

* Mon Oct 12 2009 Thierry Vignaud <tv@mandriva.org> 12.15-1mdv2010.0
+ Revision: 456899
- bump require on drakxtools for new API
- display help as user
- fix sometimes not being able to run the help browser (#53999)
- try harder to display release notes, bug wizards, ... as user

* Mon Oct 12 2009 Thierry Vignaud <tv@mandriva.org> 12.14-1mdv2010.0
+ Revision: 456854
- fix tool URL which can be a translated UTF-8 string (eg: for CD/DVD
  entries) (#54457)
- run help when pressing <F1>
- drop obsolete comment

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 12.13.2-2mdv2010.0
+ Revision: 456082
- Remove dependency on drakbackup

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 12.13.2-1mdv2010.0
+ Revision: 454904
- fix system-config-printer emplacement (#54303)

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 12.13.1-1mdv2010.0
+ Revision: 422845
- workaround latest webkit breaking mcc (bis repetita) (teuf)

* Wed Jul 29 2009 Thierry Vignaud <tv@mandriva.org> 12.13-1mdv2010.0
+ Revision: 403872
- control-center:
  o show update frequency configurator

* Fri Jul 24 2009 Eugeni Dodonov <eugeni@mandriva.com> 12.12-1mdv2010.0
+ Revision: 399470
- 12.12:
- add support for tomoyo-gui.

* Fri Jul 10 2009 Thierry Vignaud <tv@mandriva.org> 12.11-1mdv2010.0
+ Revision: 394210
- drakconsole
  o fix not having the focus on startup (#48091)

* Fri Apr 17 2009 Thierry Vignaud <tv@mandriva.org> 12.10.1-2mdv2009.1
+ Revision: 367922
- install task-printing-server task-printing-hp too when
  system-printer-config is missing
- enable to install missing tools through /usr/share/mcc/progs.conf
  (eg: system-printer-config on live CDs, #49994)
- fix swedish translation (#49990)
- fix packaging /etc/sysconfig/mcc.conf

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 12.9-1mdv2009.1
+ Revision: 367400
- translation updates

* Sun Apr 05 2009 Thierry Vignaud <tv@mandriva.org> 12.8-1mdv2009.1
+ Revision: 364242
- fix displaying name of CD/DVDs if more than one (#49565)

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.7-1mdv2009.1
+ Revision: 362327
- translation updates

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.6-2mdv2009.1
+ Revision: 362322
- drop require on rfbdrake

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 12.6-1mdv2009.1
+ Revision: 360617
- drakconf:
  o fix IDs of DVD/CDs thus fixing crashing on invalidly escaped
    characters (#49034)
- drakxconf:
  o do use translations when using the text mode version (#48988)

* Thu Mar 19 2009 Thierry Vignaud <tv@mandriva.org> 12.5-1mdv2009.1
+ Revision: 357809
- fix a rare crash when embedded program segfaulted (#48080)

* Mon Mar 16 2009 Thierry Vignaud <tv@mandriva.org> 12.4-1mdv2009.1
+ Revision: 355648
- workaround latest webkit breaking mcc (again)

* Wed Feb 18 2009 Thierry Vignaud <tv@mandriva.org> 12.3-1mdv2009.1
+ Revision: 342285
- fix not-working-links regression introduced by webkit workaround in
  12.2 (#47911)

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 12.2-1mdv2009.1
+ Revision: 340964
- workaround latest webkit breaking mcc (#47840)

* Thu Jan 22 2009 Eugeni Dodonov <eugeni@mandriva.com> 12.1-1mdv2009.1
+ Revision: 332392
- Version 12.1 - 21 January 2009, Eugeni Dodonov
- removed entry for drakperm (now handled by msecgui)
- add support for msecgui
- changed description for draksec functionality

  + Funda Wang <fwang@mandriva.org>
    - it is a noarch package

* Thu Dec 18 2008 Thierry Vignaud <tv@mandriva.org> 12-1mdv2009.1
+ Revision: 315693
- drop again diagnostics, strict, vars and warnings pragmas
  (was kept since 10.18.7)
- enable to alter branding

* Sat Oct 04 2008 Olivier Blin <blino@mandriva.org> 11.9-1mdv2009.0
+ Revision: 291112
- 11.9
- do not show banner when no application is embedded

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 11.8.2-1mdv2009.0
+ Revision: 290880
- use different icons for sources manager & drakstats

* Wed Oct 01 2008 Thierry Vignaud <tv@mandriva.org> 11.8.1-1mdv2009.0
+ Revision: 290303
- fix desktop menu entry (#44457)

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 11.8-1mdv2009.0
+ Revision: 290171
- enable to translate menu entry here rather than in menu-messages (#43580)
- right part:
  o adjust spacing
  o fix order with RTL languages
  o fix titles alignment with RTL languages
  o remove gray gradient
  o reduce subtitles font size

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 11.7.3-1mdv2009.0
+ Revision: 289965
- translation updates

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 11.7.2-1mdv2009.0
+ Revision: 289124
- use new drakxtools API

* Fri Sep 26 2008 Thierry Vignaud <tv@mandriva.org> 11.7.1-1mdv2009.0
+ Revision: 288640
- fix banners displaying titles with "&amp;"

* Fri Sep 26 2008 Thierry Vignaud <tv@mandriva.org> 11.7-1mdv2009.0
+ Revision: 288558
- RTL languages fixes
- fix icon ugliness

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.6-2mdv2009.0
+ Revision: 288148
- fix URL
- require perl-Gtk2-WebKit instead of perl-Gtk2-Html2

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.6-1mdv2009.0
+ Revision: 288129
- dither splash screen

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.5-1mdv2009.0
+ Revision: 288127
- do not crash when selecting "Reload" in contextual menu (#44226)
- disable contextual menu
- make icon+text act as a single item for links
- make sure --save-html-pages write UTF-8 files
- use gray gradient in right background
- bump require on drakxtools for new image

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.4-1mdv2009.0
+ Revision: 288109
- add padding between icons & text
- display frames around icons
- render titles as blue and with asterisks
- reduce spacing between left items

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.2-1mdv2009.0
+ Revision: 288097
- restore scrollbar (#44213)

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.1-1mdv2009.0
+ Revision: 288088
- handle --save-html-pages in order to debug HTML pages generated by
  mcc
- make focus be visible
- show right items as white

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11-1mdv2009.0
+ Revision: 288007
- improve style by using installer's one
- switch from gtkhtml2 to wekbit

* Wed Sep 24 2008 Thierry Vignaud <tv@mandriva.org> 10.26-1mdv2009.0
+ Revision: 287812
- bump require on drakxtools
- fix about dialog banner (#44176)
- new splash screen

* Tue Sep 23 2008 Thierry Vignaud <tv@mandriva.org> 10.25.2-1mdv2009.0
+ Revision: 287216
- use new boot icon

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 10.25.1-1mdv2009.0
+ Revision: 287130
- restore icon wrongly removed

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 10.25-1mdv2009.0
+ Revision: 286690
- updated icons & translations

* Tue Sep 16 2008 Thierry Vignaud <tv@mandriva.org> 10.24-1mdv2009.0
+ Revision: 285190
- do call the appropriate help index
- fix calling the appropriate contextual help index:
  o ensure tab order doesn't alter help ID
  o fix help ID for "local disks" (not know yet to the doc)

* Mon Sep 15 2008 Thierry Vignaud <tv@mandriva.org> 10.23-1mdv2009.0
+ Revision: 284870
- fix errata/NEWS URL (#43854)

* Sat Aug 23 2008 Anne Nicolas <ennael@mandriva.org> 10.22-2mdv2009.0
+ Revision: 275301
- Fix drakxtools require

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 10.22-1mdv2009.0
+ Revision: 275087
- do not crash if an icon is missing (#37651)
- stop probing for floppies, which can be slow (#40322)

* Wed Aug 20 2008 Thierry Vignaud <tv@mandriva.org> 10.21-2mdv2009.0
+ Revision: 274298
+ rebuild (emptylog)

* Wed Aug 20 2008 Thierry Vignaud <tv@mandriva.org> 10.21-1mdv2009.0
+ Revision: 274283
- change system-config-printer to embed in mcc and
  change its path to $sbindir

* Wed Aug 20 2008 Thierry Vignaud <tv@mandriva.org> 10.20-1mdv2009.0
+ Revision: 274250
- change printerdrake by system-config-printer
- update translations

  + Tiago Salem <salem@mandriva.com.br>
    - Changing suggests: printerdrake by system-config-printer

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 10.19-1mdv2009.0
+ Revision: 251182
- update icons
- update translations

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 10.18.7-1mdv2009.0
+ Revision: 212642
- BuildRequires drakxtools-backend for generating conf file
- package sysconfig file
- do open bug in running firefox drakbug (#31109)
- enable to disable some icons through /etc/sysconfig/mcc.conf

* Fri May 23 2008 Thierry Vignaud <tv@mandriva.org> 10.18.6-1mdv2009.0
+ Revision: 210396
- solve hard to reproduce perl segfault (#34505)

* Thu Apr 03 2008 Olivier Blin <blino@mandriva.org> 10.18.5-2mdv2008.1
+ Revision: 192275
- suggest drakguard and draksnapshot

* Thu Apr 03 2008 Thierry Vignaud <tv@mandriva.org> 10.18.5-1mdv2008.1
+ Revision: 192056
- translation updates

* Wed Apr 02 2008 Thierry Vignaud <tv@mandriva.org> 10.18.4-1mdv2008.1
+ Revision: 191524
- translation updates

* Fri Mar 28 2008 Thierry Vignaud <tv@mandriva.org> 10.18.3-1mdv2008.1
+ Revision: 190919
- translation updates

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 10.18.2-1mdv2008.1
+ Revision: 190055
- translation updates

* Tue Mar 11 2008 Thierry Vignaud <tv@mandriva.org> 10.18.1-1mdv2008.1
+ Revision: 183953
- rename sound icon (#38767)

* Mon Mar 10 2008 Thierry Vignaud <tv@mandriva.org> 10.18-1mdv2008.1
+ Revision: 183752
- fix calling userdrake without consolehelper-gtk else we kill
  consolehelper-gtk instead of userdrake (#34892)
  (also fixing unable to run userdrake in sec level > 3)
- use 'sound' iconf for "Sound Configuration"

* Fri Mar 07 2008 Thierry Vignaud <tv@mandriva.org> 10.17-1mdv2008.1
+ Revision: 181331
- add "Parental Controls" icon
- add "Sound Configuration" icon
- restore wait animation (regression introduced in 10.4.14-1mdv2007.1)
- make a suggests out of drakmenustyle require (#38107)

* Tue Feb 26 2008 Thierry Vignaud <tv@mandriva.org> 10.16-1mdv2008.1
+ Revision: 175626
- translations updates

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 10.15-1mdv2008.1
+ Revision: 168539
- remove menu entry for upload to old HCL db

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 10.14-1mdv2008.1
+ Revision: 167779
- readd buildroot
- change 'Share data with Windows system' to 'Access Windows (SMB)
  shared drives and partitions' (36552)
- change 'Use NFS shares' to 'Access NFS shared drives and partitions'
  for consistency
- change 'Share your data through NFS' to 'Share drives and
  directories using NFS'
- new wording for WebDAV configuration tool
- more text changes for nfs / smb sharing
- escape "&", "<", ">" in descriptions so that Gtk2::Html2 doesn't
  havoc on them
- updated translation
- use more consistent entry in drakconf for rpmdrake (same as menu
  label) (#33315)

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 10.13-1mdv2008.1
+ Revision: 157041
- updated translations

* Wed Jan 09 2008 Thierry Vignaud <tv@mandriva.org> 10.12-1mdv2008.1
+ Revision: 147275
- show again "removing interface" since netcenter doesn't support this (#34588)
- size horizontal & vertical sizes independently & support height of
  480 so that strange laptops have reasonnable sizing
- kill re-definition of %%buildroot on Pixel's request
- do not harcode icon extension

  + Funda Wang <fwang@mandriva.org>
    - drop old menu

* Mon Oct 08 2007 Thierry Vignaud <tv@mandriva.org> 10.11-1mdv2008.0
+ Revision: 95700
- enable to visit Mandriva Tour from mcc

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 10.10-1mdv2008.0
+ Revision: 95042
- updated translation

* Mon Oct 01 2007 Thierry Vignaud <tv@mandriva.org> 10.9-1mdv2008.0
+ Revision: 94140
- updated translation

* Fri Sep 28 2007 Thierry Vignaud <tv@mandriva.org> 10.8-1mdv2008.0
+ Revision: 93570
- fix reporting bug on drakwizard

* Thu Sep 27 2007 Thierry Vignaud <tv@mandriva.org> 10.7-1mdv2008.0
+ Revision: 93286
- move transfugrake from "Localization" section into "Administration tools"
  section

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 10.6.7-1mdv2008.0
+ Revision: 92938
- updated translations

* Wed Sep 19 2007 Thierry Vignaud <tv@mandriva.org> 10.6.6-1mdv2008.0
+ Revision: 90969
- updated translations

* Mon Sep 17 2007 Thierry Vignaud <tv@mandriva.org> 10.6.5-1mdv2008.0
+ Revision: 89070
- translation snapshot
-  use "X-MandrivaLinux-System-Configuration" category instead
   "X-MandrivaLinux-CrossDesktop" and "System" instead of "Settings"
- suggests printerdrake instead of hard-requiring it

* Fri Sep 14 2007 Thierry Vignaud <tv@mandriva.org> 10.6.4-1mdv2008.0
+ Revision: 85406
- fix bogus markup (#33556)
- show again disk ID now that we use short descriptions (#33554)

* Thu Sep 13 2007 Thierry Vignaud <tv@mandriva.org> 10.6.3-1mdv2008.0
+ Revision: 84963
- add an horizontal separator between right sub-sections

* Wed Sep 12 2007 Thierry Vignaud <tv@mandriva.org> 10.6.2-1mdv2008.0
+ Revision: 84673
- lot of typo fixes
- make right titles be bold
- only draw the current notebook label in bold
- use new icon for "network sharing"

* Mon Sep 10 2007 Thierry Vignaud <tv@mandriva.org> 10.6.1-1mdv2008.0
+ Revision: 84096
- do not show mcc's menu when embedding edit-urpm-sources (#33316)
- fix rfbdrake path (#33373)
- typo fix (#33274)
- updated translations

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 10.6-1mdv2008.0
+ Revision: 80296
- adjust file list
- add a transfugdrake entry
- add back "Access Windows shares" tool
- enable to run as a user if using --testing option
- fix icon alignment for RTL locales (#32881)
- improved margin between tables & subtitles
- new icons for "Network Center"  & "rpmdrake"
- updated descriptions
- suggests transfugdrake
- stop packaging desktop entries for g-c-c

* Wed Aug 22 2007 Thierry Vignaud <tv@mandriva.org> 10.5-1mdv2008.0
+ Revision: 68962
- don't use extra space if we have only one icon in last row
- hide mdvonline wizard since web registering is unused/broken
- increase default size for resolutions bigger than > 800x600 (modulo
  laptops)
- move "Software Media Manager" into "Software Management"
- offer report a bug on embedded tool instead of drakconf in menu
- prevent not being able to close mcc once drakbug was fired

* Wed Aug 22 2007 Olivier Blin <blino@mandriva.org> 10.4.25-1mdv2008.0
+ Revision: 68779
- 10.4.25
- add back "Add Connection" wizard
- remove Roaming entry
- use temporary icon for network center
- render right titles with a smaller font and in gray (Tv)

* Mon Aug 13 2007 Thierry Vignaud <tv@mandriva.org> 10.4.24-3mdv2008.0
+ Revision: 62660
- fix file conflict

* Sun Aug 12 2007 Pixel <pixel@mandriva.com> 10.4.24-2mdv2008.0
+ Revision: 62220
- don't suggest mdkwebadmin, no such package (and mdkwebadmin.pl is bundled here)

* Sat Aug 11 2007 Thierry Vignaud <tv@mandriva.org> 10.4.24-1mdv2008.0
+ Revision: 61883
- fix subtitles alignment with RTL locales (#32445)
- Suggests: drakfax, rpmdrake, mdkwebadmin, rfbdrake

* Wed Aug 08 2007 Thierry Vignaud <tv@mandriva.org> 10.4.23-1mdv2008.0
+ Revision: 60265
- cleanup code by killing last workarounds for expert mode
- enable to test new view when network center is installed
- new GUI:
  o create sub groups with title in the right part
  o add default titles
  o reorder samba vs NFS

* Tue Jul 31 2007 Thierry Vignaud <tv@mandriva.org> 10.4.22-1mdv2008.0
+ Revision: 57138
- add driver name to CD/DVD descriptions in order to reduce confusion
  when there's several of them
- keep only one entry for XFdrake
- kill expert mode
- kill drakxtv since bttv configuration was only needed with very old
  cards and since kdetv and the like have their own scanning wizards
- merge "Install Software", "Installed Software", "Remove Software" as
  they basically are the same software in different views we keep
  MandrivaUpdate for now since it offers to update media
- move "Display Manager chooser" from "System" section into "Boot" one
- rename "Mount Points" as "Local disks" (#31779)
- split out "network sharing" out of "mount points" (#31779)
- bump require on drakxtools

* Wed Jun 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.21-1mdv2008.0
+ Revision: 44998
- display the release in the about dialog (#31223)
- rename "Set Samba mount points" entry as "Configure Windows shared
  drives on the local network" (#28976)
- show release notes from the help menu (#26281)
- show errata from the help menu too
- workaround libgtkhtml2_0 infamously blocking events on
  hidden-due-to-scroll links (#23185)
- drop /usr/X11R6/bin/DrakConf symlink (#24749)
- disable startup notification (#29679)

* Fri Jun 08 2007 Thierry Vignaud <tv@mandriva.org> 10.4.20-1mdv2008.0
+ Revision: 37487
- first release after SVN recover


* Tue Mar 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.19-1mdv2007.1
+ Revision: 148880
- do not account help browser as a child to wait for, thus enabling to
  close mcc while help is browsed in external browser (#28442)

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.18-1mdv2007.1
+ Revision: 146564
- make it fit in 800x600
- do not package big ChangeLog

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.17-2mdv2007.1
+ Revision: 145198
- bump release

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.17-1mdv2007.1
+ Revision: 145055
- translation update

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.16-1mdv2007.1
+ Revision: 111861
- fix fcrozat's fix
- fix build
- require drak3d & drakx-kbd-mouse-x11
- don't require draktermserv; we don't offer to run it
- require drakbackup & draktermserv

* Tue Dec 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.15-1mdv2007.1
+ Revision: 90759
- really overite 10.4.14 tarball with 10.4.15 one
- about dialog:
  o don't display emails of authors
  o fix banner

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.14-2mdv2007.1
+ Revision: 89463
- fix require (drakx-net instead of drakxnet)

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.14-1mdv2007.1
+ Revision: 89408
- Import drakconf

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.14-1mdv2007.1
- requires drakx-net & printerdrake

* Sat Sep 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.13-1mdv2007.0
- fix menu group
- workaround rpm issues on updates

* Wed Sep 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.12-1mdv2007.0
- handle embedded tools that block SIG_KILL (#24914)

* Sat Sep 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.11-1mdv2007.0
- news & kolab wizards are now dead

* Wed Sep 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.10-1mdv2007.0
- translation update

* Sat Sep 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.9-1mdv2007.0
- allow to disable 3d desktop in text drakconf (#25316)
- printer wizard doesn't exist anymore

* Thu Sep 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.8-1mdv2007.0
- unhide main XFdrake icon

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.7-1mdv2007.0
- drakmenustyle replaced menudrake
- show localekdrake in mcc

* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.6-1mdv2007.0
- update translations

* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.5-1mdv2007.0
- fix bogus icons (#24789)

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 10.4.4-1mdv2007.0
- add drak3d, drakinvictus and drakvpn
- update draknetprofile icon
- from Thierry Vignaud:
  o set minimum size to a bigger value if screen size is bigger than 640x480
    (thus fixing overlapping widgets when resizing mcc to its minimal size)
  o prevent "spoofing" minimum size
  o s/Mandrake/Mandriva/ in icon file names (#21539)
  o drakxconf: warn if tool is not executable
  o drakxconf: tinyfirewall was replaced drakfirewall (#24592)
- from Stew Benedict:
  o let drakbackup show only it's own menu

* Wed Aug 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.3-1mdv2007.0
- fix menu entry

* Sun Jul 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.2-1mdv2007.0
- switch to XDG menu

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.1-1mdv2007.0
- drop old netprofile stuff (blino)
- add a draknetprofile icon (blino)

* Wed Mar 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.0-1mdk
- hide mcc's menu when running draknfs and draksambashare since they
  already provides a menu bar (#21528)

* Wed Feb 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.3.2-1mdk
- do not use stock icons in menus
- offer to upload hw list in the online db and start a browser there
  in order to specify the hw status

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.3.1-1mdk
- adapt to new DrakX API (#20395)
- only warn about non executable programs, just skip non installed
  stuff (Eskild Hustvedt)
- use CREDITS.<lang> if availlable

* Tue Sep 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-5mdk
- show drakauth (again) in "system" section only if drakwizard isn't
  installed (#18687)

* Mon Sep 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-4mdk
- display a banner for drakhosts
- don't show "NFS exports" twice (blino, #18670)
- use proper icon for drakhosts
- really run sshd wizard when requested (blino, #18645)

* Sat Sep 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-3mdk
- do display 3 missing icons

* Fri Sep 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-2mdk
- fix switching section while starting a non embedded tool (#17284)

* Thu Sep 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-1mdk
- add new tools (draknfs, drakhosts, draksambashare) and new wizards
  (sambashare, sambaprint, sshd)
- only show wizards that are installed after drakwizard split
- fix garbaged display when toggling "expert mode" while a tool is
  embedded (#17212)
- translation update
- enable sub dialogs to be transient to mcc's main window

* Thu Jun 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.6mdk
- fix profiles (blino)

* Wed Jun 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.5mdk
- use new drakconnect API (blino)

* Tue May 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.4mdk
- improved layout of CREDITS in about dialog (#14995)

* Tue May 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.3mdk
- fix restoring notebook position when switching from/to expert mode
- fix detecting buggy programs not starting
- fix contributors list (blino, #14995)

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.2mdk
- fix mandrivaupdate's icon (#15494)

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.1mdk
- Mandrakesoft is now Mandriva

* Wed Mar 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-5mdk
- move small icons in their own package (#13392)

* Thu Mar 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-4mdk
- add "roaming" icon in network section
- improve layout for RTL languages
- reduce columns flicking (now it only happens when a page has a
  scrollbar)
- update translations

* Fri Mar 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-3mdk
- fix hidden left icons when expert mode is altered several times
  whereas a tool is embedded (#14440)
- fix RTL rendering (#14517):
  o add bidi hints for html render engines
  o explicitely align RTL texts to right
  o pack text & icon from righ to left for RTL languages

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-2mdk
- translation updates

* Wed Mar 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-1mdk
- enhanced layout (#13447)
- fix bogus portuguese translation (#13695)

* Fri Feb 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.11mdk
- fix layout bug on "expert mode" switch while embedding a tool (#13416)
- display a graphical warning when the translations are bogus

* Fri Feb 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.10mdk
- prevent translation bugs (such as #13540) to happen

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.9mdk
- fix crashes in profile dialogs (#7313)
- really use short descriptions in banners (#13567)
- kill logdrake when asked for in menu (#9329)

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.8mdk
- update drakups' icons

* Tue Feb 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.7mdk
- fix drakstats path
- update translations (#13673)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.6mdk
- enable drakconf to display third parties wizard (#13643)
- drakstats is located now in /usr/sbin/drakstats (daouda, #13572)
- do not show banner for mandrakeupdate which now take care of that

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.5mdk
- use short description for banners (#13567)

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.4mdk
- add a mdkonline icon in rpmdrake section
- update translations

* Thu Feb 03 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.3mdk
- add long descriptions with 2 columns layout
- hide "Installed Software" entry now that we have long description
  strings (# 13041)
- fix icon alignment (#12447)
- workaround disappearing gdk window crash (#13190)
- really show drakauth in system section only if drakwizard isn't installed
- add a few new icons

* Mon Jan 24 2005 Daouda LO <daouda@mandrakesoft.com> 10.2-0.2mdk
- added drakstats to package management section
- some cleanups

* Mon Jan 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.1mdk
- split the wizard category in four
- reorder categories by usage frequency
- kill embedded tool instead of exiting the whole mcc when one click
  on the close icon and when a tool is embedded

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-4mdk
- hide menu and banner too when embedding harddrake2 & rpmdrake

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-3mdk
- internal cleanings
- embedd printerdrake & userdrake
- add an "installed softwares" icon in rpmdrake section
- show drakauth in system section

* Sat Oct 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-2mdk
- start drakups in wizard mode

* Fri Oct 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-1mdk
- show UPS icon

* Sat Sep 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.7mdk
- hide main XFdrake icon

* Tue Sep 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.6mdk
- enable to start directly with drakwizard
- show LDAP wizard

* Tue Sep 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.5mdk
- add hidden entries for localedrake and drakauth
- accept tags with spaces with --start-with option
- about dialog:
  o fix utf-8 issues
  o fix parsing new CREDITS file

* Thu Sep 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.4mdk
- main notebook (better respect of l10n):
  o let labels wrap
  o enable the main notebook to scroll:
- about dialog: display translator name
- fix menu entry capitalization (thus reusing simplified menu string)
- translation snapshot

* Thu Sep 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.3mdk
- new design
- add support for the '--start-with=foobar' command line option that
  enable to start mcc directly with specified applet

* Sat Aug 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.2mdk
- translation update
- fix about dialogs (credits got broken by mandrakelinux-release
  package renaming)
- PXE wizard is dead
- fix special "<control>" entries (pablo)
- make web wizard description more accurate (#8153)
- drakconsole: add a title for when one run it not from mcc

* Fri Jul 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.1mdk
- sync with new drakconnect API

* Wed Jun 16 2004 Daouda LO <daouda@mandrakesoft.com> 10-14mdk
- embed rfbdrake (Online Administration section)
- fix buildrequires (Per yvind Karlsen)
- fix profiles garbage (tvignaud, #9278)

* Thu Apr 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-13mdk
- remove stock icon from button
- display drakcronat icon if installed

